# [Django Material Kit](https://app-generator.dev/docs/products/django-libs/theme-material-kit.html)

Modern UI Library for **Django**, Auth Pages (registration included) crafted on top of **Material UI Kit**, an open-source **Bootstrap** design.

- [Django Material Kit](https://app-generator.dev/docs/products/django-libs/theme-material-kit.html) - Documentation & Support Links
- [Django Material Kit](https://app-generator.dev/product/material-kit/django/) - The product that uses the library
- [Getting Started with Django](https://app-generator.dev/docs/technologies/django/index.html) - Learn how to code **Django** Projects

<br />

## **Features**

- Design: **[Material Kit](https://app-generator.dev/docs/templates/bootstrap/material-kit.html)** (Bootstrap)
- **Sections Covered**: 
  - `All pages` managed by `Django.contrib.AUTH`
  - `Registration` page
  - `Misc pages`: colors, icons, typography, blank-page 
  
<br />

### Build a Starter with [Django App Generator - Material UI KIT](https://app-generator.dev/tools/django-generator/material-kit/)

- Access the [App Generator](https://app-generator.dev/tools/django-generator/) page
- Select **Material UI Kit** as the preferred design
- (Optional) Design Database: edit models and fields
- (Optional) Edit the fields for the extended user model
- (Optional) Enable OAuth for GitHub
- (Optional) Add Celery (async tasks)
- (Optional) Enable Dynamic API Module
- Docker Scripts
- Render CI/Cd Scripts

**The generated Django project is available as a ZIP Archive and also uploaded to GitHub.**

<br />

![Django Material Kit - Modern UI Library for Django crafted on top of a modern Bootstrap, Open-Source Design.](https://github.com/user-attachments/assets/d83d18dd-b147-4fcb-ba3a-cc4926c6d536)

<br />

## [Material Kit PRO Version](https://app-generator.dev/product/material-kit-pro/django/)

> The premium version provides more features, priority on support, and is more often updated - [Live Demo](https://django-mkit2-pro.onrender.com/).

- **Simple, Easy-to-Extend** Codebase
- **Material Kit Design** - PRO Version
- Bootstrap 5 CSS
- **OAuth** - Github
- **Extended User Profile**
- **Deployment-Ready** for Render 

![Material Kit2 PRO (BS5) - Starter generated by AppSeed.](https://user-images.githubusercontent.com/51070104/173217499-a443fd60-2564-42f3-8bb6-4a498823f670.png)

<br />

---
**[Django Material Kit](https://app-generator.dev/docs/products/django-libs/theme-material-kit.html)** - Modern Django UI Library provided by **[App-Generator](https://app-generator.dev)**
